.mockup-desktop {
  @include size(100%, 85.3%);
  position: absolute;
  box-sizing: border-box;

  border-radius: 5%/7%;
  background: var(--border-gradient);

  &:before,
  &:after {
    content: '';
  }

  &:before {
    @include absolute-center;

    width: calc(100% - 2px);
    height: calc(100% - 2px);

    border-radius: inherit;
    background-color: var(--background-color);
  }

  &:after {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 6.85%;

    width: 4.8%;
    padding-bottom: 4.8%;

    background-color: var(--background-accent-color);
    border-radius: 50%;
  }

  &__wrapper {
    position: relative;
    width: 100%;

    &:before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translate(-50%, 100%);

      @include size(55.7%, 0.8%);
      border-radius: 50%;
      background-color: var(--box-shadow-color);
      filter: blur(15px);
    }

    &:after {
      content: '';
      display: block;
      padding-bottom: 80.5%;
    }
  }

  &__blur {
    @include absolute-center;
    width: calc(100% - 2px);
    height: calc(100% - 2px);

    background-color: var(--blur-color);
    backdrop-filter: blur(40px);
    border-radius: inherit;
    background-blend-mode: overlay, normal;
  }

  &__content {
    position: absolute;
    @include size(94%, 63.5%);
    left: 3%;
    top: 4.4%;
    box-sizing: border-box;
    border-radius: 4%/7%;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;

    overflow-y: auto;
    @include custom-scroll-bar(0.4rem);

    &.cropped-content {
      overflow: hidden;
    }

    img {
      display: block;
      width: 100%;
      object-fit: cover;
    }
  }

  &__monitor-riser {
    position: absolute;
    bottom: 3px;
    left: 50%;
    transform: translateX(-50%);
    margin: 0 auto;
    @include size(32%, 14.7%);

    mask: url('~@/assets/images/monitor-riser-mask.svg') top/100% 100% no-repeat;

    background: linear-gradient(
        180deg,
        rgba(136, 133, 143, 0.22) 8.34%,
        rgba(220, 221, 225, 0.22) 61.54%,
        rgba(175, 180, 185, 0.22) 84.31%,
        rgba(231, 232, 236, 0.22) 100%
      ),
      var(--blur-color);
    backdrop-filter: blur(40px);
    background-blend-mode: normal, overlay;
  }
}
